from byubit import Bit


def jump(bit, color):
    while bit.get_color() != color:
        bit.move()
    bit.snapshot(f'Jumped to {color}')


@Bit.run('jump')
def run(bit):
    jump(bit, 'red')
    jump(bit, 'blue')
    jump(bit, 'green')
    jump(bit, 'blue')
